CHAOSREAD(1)

NAME
chaosread - read raw noise source from chaoskey

SYNOPSIS
chaosread

DESCRIPTION
chaosread reads ADC values from the noise source on the attached ChaosKey device.

OPTIONS

-s serial | --serial serial
    This selects a ChaosKey by serial number instead of using the first one found.

-l length | --length length
    Set the amount of data to read. Suffixes 'k', 'M' and 'G' are supported. The default is 1k.

-i | --infinite
    Keep reading forever (or until the process is killed).

-b | --bytes
    Read 16-bits little endian values and write out one byte per sample from bits 1-8 of the sample (zero-based, so shift right by one).

-b | --cooked
    Read values from the 'cooked' endpoint, which is the source used by the kernel driver that contains trimmed and whitened data which has 8 bits of entropy per byte.

-b | --raw
    Read from the raw RNG source endpoint, which is best for testing the hardware on the device. This is the default

-b | --firmware
    Read from the device firmware. This can be used to verify that the firmware in the device has the expected contents.

USAGE
chaosread reads noise data.

AUTHOR
Keith Packard